JNA API 3.3.0

## com.sun.jna.platform.win32
Class WinUser.POINT

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.WinUser.POINT

Enclosing interface:
  WinUser

    public static class WinUser.POINT

extends Structure

Defines the x- and y-coordinates of a point.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByReference, Structure.ByValue`

Field Summary
`int` | `x`
`int` | `y`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`WinUser.POINT()`
`WinUser.POINT(int x, int y)`

Method Summary

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### x

    public int x

### y

    public int y

Constructor Detail

### WinUser.POINT

    public WinUser.POINT()

### WinUser.POINT

    public WinUser.POINT(int x,
                         int y)

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.